Welcome

Please register for Total War Access to use the forums. If you're an existing user, your forum details will be merged with Total War Access if you register with the same email or username. For more information please read our FAQ’s here.

Categories

Incompatible versions

dabmaster710dabmaster710 Registered Users Posts: 6
Me and my friend have the same mods and versions of the game Warhammer II, but for some reason it says we have incompatible versions we started a campaign a month ago and are trying to continue it no new mods it just wont let us joing together with the same mods

Comments

This discussion has been closed.